
From: "Martin J. Bligh" <mbligh@aracnet.com>

Fix a couple of instances of "warning: suggest parentheses around assignment
used as truth value".




 drivers/base/cpu.c    |    8 ++++++--
 drivers/base/memblk.c |    8 ++++++--
 drivers/base/node.c   |    8 ++++++--
 3 files changed, 18 insertions(+), 6 deletions(-)

diff -puN drivers/base/cpu.c~warning-fixes-1 drivers/base/cpu.c
--- 25/drivers/base/cpu.c~warning-fixes-1	2003-04-02 22:50:56.000000000 -0800
+++ 25-akpm/drivers/base/cpu.c	2003-04-02 22:50:56.000000000 -0800
@@ -49,8 +49,12 @@ int __init register_cpu(struct cpu *cpu,
 int __init cpu_dev_init(void)
 {
 	int error;
-	if (!(error = devclass_register(&cpu_devclass)))
-		if ((error = driver_register(&cpu_driver)))
+
+	error = devclass_register(&cpu_devclass);
+	if (!error) {
+		error = driver_register(&cpu_driver);
+		if (error)
 			devclass_unregister(&cpu_devclass);
+	}
 	return error;
 }
diff -puN drivers/base/memblk.c~warning-fixes-1 drivers/base/memblk.c
--- 25/drivers/base/memblk.c~warning-fixes-1	2003-04-02 22:50:56.000000000 -0800
+++ 25-akpm/drivers/base/memblk.c	2003-04-02 22:50:56.000000000 -0800
@@ -50,9 +50,13 @@ int __init register_memblk(struct memblk
 int __init register_memblk_type(void)
 {
 	int error;
-	if (!(error = devclass_register(&memblk_devclass)))
-		if (error = driver_register(&memblk_driver))
+
+	error = devclass_register(&memblk_devclass);
+	if (!error) {
+		error = driver_register(&memblk_driver);
+		if (error)
 			devclass_unregister(&memblk_devclass);
+	}
 	return error;
 }
 postcore_initcall(register_memblk_type);
diff -puN drivers/base/node.c~warning-fixes-1 drivers/base/node.c
--- 25/drivers/base/node.c~warning-fixes-1	2003-04-02 22:50:56.000000000 -0800
+++ 25-akpm/drivers/base/node.c	2003-04-02 22:50:56.000000000 -0800
@@ -92,9 +92,13 @@ int __init register_node(struct node *no
 int __init register_node_type(void)
 {
 	int error;
-	if (!(error = devclass_register(&node_devclass)))
-		if (error = driver_register(&node_driver))
+	
+	error = devclass_register(&node_devclass);
+	if (!error) {
+		error = driver_register(&node_driver);
+		if (error)
 			devclass_unregister(&node_devclass);
+	}
 	return error;
 }
 postcore_initcall(register_node_type);

_
